apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: portainer-ingress
    namespace: portainer
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/backend-protocol: HTTPS
spec:
    rules:
        - host: ENC[AES256_GCM,data:JlWZROqVmSbS32V+hAmaU2U1ug==,iv:4Rs3e9llE7LgGwovDD7tnnIIQi3YT6m/UAeXPtqIwu4=,tag:H9+v141qEirsbNleCUqP+A==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:ow==,iv:fyqJV5GdIHno9QGpz550ryF0CH7wIdIvniMMyNTdavs=,tag:kVAqXcgquBP58ycutfZgZw==,type:str]
                  pathType: ENC[AES256_GCM,data:h1W66Ofq,iv:dqCqaEGHwLx1+8joPj5Qd9f2vV6yhWqnEohpElEo0A8=,tag:ZuuWEzs0fl8CX0wtEstFwQ==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:r61rOOQSLfDS,iv:gr+2iEGNMXvOf0RamKfSnwWJu7xnADgMCplsG+RR5WI=,tag:9U/CI0jJS8GZ5jQHW4LR5w==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:q4dH/w==,iv:Zzqep4scxTgnGROrJSNEzd28i97t7WmOa1WA899jmxE=,tag:+HwErEl/dYbvx1pIxHaz/Q==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBnbWlTRWdpVWppMzlmN2dj
            L1VsQUpXVVlzTGFiTmdVdXp0bVFhNXFTRkEwCjdHR2ZMWTU1bEhBWGNNaTRkRVJO
            RlR4YWNQMVdQNnJYZE4wd1BUbXYzZ1kKLS0tIEE5d0tlSjhmWVNZWHlsQkphU2d4
            RWprZXlGY04zYk11d1FxL0MveUpXOVEKt8mIZNUrn64eKZRWJXj3OWoqjFIA9rTj
            DLSXqJ54YL2HuueMdKd4s0dqmHsKvB/fPt/1hQhclhrsrJlE7/ws0g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:11Z"
    mac: ENC[AES256_GCM,data:nJRt/Ahb6aYg3WGUnDUz9E3YERX/j5unLZEftrK0g9Zf58UbNyabggpGCpCef2b8XnHFyEM8XZ/vmhzfJjwlvEBQuPtWiB9O8dr76+zmtMI1txQvp8ocJeZyf4fsZSgKsNXGnukmMPLqC+IytD5dsZTTQpGx2WlslC0MMuI+Tts=,iv:ZMPbQrJnfSSLLDfoCWN9IW4XIA8fenYq8oUDukA36+c=,tag:CUNWMFGlplnrsAb534iVqg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
